#
# Spec file for Red Hat Messaging package rhm.
#

%define svnrev 2632
# built against qpidc svn rev:
%define svnrev_qpid 705289

Name:           rhm
Version:        0.2.%{svnrev}
Release:        1%{?dist}
Summary:        Red Hat persistence extension to the Qpid messaging system
Group:          System Environment/Libraries
License:        LGPLv2+
URL:            http://rhm.et.redhat.com
Source0:        %{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

ExclusiveArch: i386 x86_64

BuildRequires: qpidc-devel
BuildRequires: qpidd-devel
BuildRequires: db4-devel
BuildRequires: libaio-devel
BuildRequires: python
BuildRequires: libtool

Requires: qpidd >= 0.3.%{svnrev_qpid}
Requires: db4
Requires: libaio

%description
Red Hat persistence extension to the Qpid AMQP broker: persistent message storage
using either a libaio-based asynchronous journal, or synchronously with Berkeley DB.

%prep
%setup -q

%build
%configure --disable-static --disable-rpath CXXFLAGS="-O3 -DNDEBUG"
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
install -d -m0775 %{buildroot}%{_localstatedir}/rhm
install -d -m0755 %{buildroot}%{_libdir}/qpid/daemon
rm -f %{buildroot}%_libdir/qpid/daemon/*.a
rm -f %{buildroot}%_libdir/qpid/daemon/*.la
rm -f %{buildroot}%_libdir/*.a
rm -f %{buildroot}%_libdir/*.la
rm %{buildroot}%_sysconfdir/rhmd.conf

%clean
rm -rf %{buildroot}

%check
make check

%files
%defattr(-,root,root,-)
%doc README COPYING
%{_libdir}/qpid/daemon/msgstore.so*
%attr(0775,qpidd,qpidd) %dir %_localstatedir/rhm


%changelog
* Thu Oct 16 2008 Nuno Santos <nsantos@redhat.com> - 0.2.2632-1
- Rebased to svn rev 2632/705289

* Fri Oct  3 2008 Nuno Santos <nsantos@redhat.com> - 0.2.2578-1
- Rebased to svn revision 2578

* Tue Sep  9 2008 Nuno Santos <nsantos@redhat.com> - 0.2.2432-1
- Update for Fedora 10

* Wed Sep  3 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.2.2153-3
- fix license tag

* Tue Jul 15 2008 Nuno Santos <nsantos@redhat.com> - 0.2.2153-2
- BZ359461: fix package URL

* Mon Jun 16 2008 Kim van der Riet <kim.vdriet@redhat.com> - 0.2.2153-1
- Rebased to rev.2153
- Added qpidd rev no dependency

* Fri Jun 12 2008 Kim van der Riet <kim.vdriet@redhat.com> - 0.2.2150-1
- Rebased to rev.2150

* Fri Jun 12 2008 Kim van der Riet <kim.vdriet@redhat.com> - 0.2.2148-3
- Changed the installation mechanism for libs

* Fri Jun 11 2008 Justin Ross <jross@redhat.com> - 0.2.2148-2
- Use macros for the lib dir

* Fri Jun 10 2008 Kim van der Riet <kim.vdriet@redhat.com> - 0.2.2148-1
- rebase to rev 2148
- imported nsantos' rhmd fixes

* Fri Jun 10 2008 Kim van der Riet <kim.vdriet@redhat.com> - 0.2.2146-1
- rebase to rev 2146
- removed refs to dir /etc/rhmd

* Fri Jun 6 2008 Kim van der Riet <kim.vdriet@redhat.com> - 0.2.2144-1
- rebase to rev 2144

* Wed Jun 4 2008 Kim van der Riet <kim.vdriet@redhat.com> - 0.2.2131-1
- rebase to rev 2131

* Thu May 15 2008 Nuno Santos <nsantos@redhat.com> - 0.2.2055-1
- bumped for Beta 4

* Mon Apr 14 2008 Kim van der Riet <kim.vdriet@redhat.com> - 0.2-20
- removed cppunit as build dependency - all tests now boost test

* Fri Apr 11 2008 Kim van der Riet <kim.vdriet@redhat.com> - 0.2-19
- added python package as build dependency

* Tue Feb 12 2008 Rafael Schloming <rafaels@redhat.com> - 0.2-17
- bump release for Beta 3 bug fixes

* Mon Feb 11 2008 Rafael Schloming <rafaels@redhat.com> - 0.2-15
- Bumped for Beta 3 update

* Tue Jan 22 2008 Nuno Santos <nsantos@redhat.com> - 0.2-14
- fix syntax in configuration file

* Thu Jan 21 2008 Gordon Sim <gsim@redhat.com> - 0.2-13
-  Bump release for various journal fixes.

* Thu Jan 03 2008 Nuno Santos <nsantos@redhat.com> - 0.2-11
- add missing dependencies on libaio, cppunit, qpidc-devel

* Thu Jan 03 2008 Nuno Santos <nsantos@redhat.com> - 0.2-6
- limit builds to i386 and x86_64 archs

* Tue Dec 18 2007 Nuno Santos <nsantos@redhat.com> - 0.2-5
- Include several fixes, mainly from Kim Van Der Riet (BZ 401071: Add journal
 file geometry parameters to broker, 401091: Handle journal full condition in
 broker, 401151: Journal RID not monotonically increasing in all cases, 
 401191: Journal recovery fails when overwrite boundary coincides with 
 previous record, 403051: Failures in perftest fanout mode with async 
 persistence, 403201: Messages prematurely deleted by store, 413021: Journal 
 recovery fails when flush did not occur and records don't end on sblk 
 boundary, 423981: Error running durable perftest)

* Thu Dec 06 2007 Alan Conway <aconway@redhat.com> - 0.2-4
- Build with optimized flags.

* Thu Oct 04 2007 Nuno Santos <nsantos@redhat.com> - 0.2-2
- Add rhmd init script

* Wed Jul 25 2007 Nuno Santos <nsantos@redhat.com> - 0.2-1
- Disable rpath; bump release to match numbers of qpidc trunk packages

* Tue Apr 17 2007 Alan Conway <aconway@redhat.com> - 0.1-3
- Workaround missing BuildRequires: e2fsprogs-devel in qpidc-devel.

* Tue Apr 17 2007 Alan Conway <aconway@redhat.com> - 0.1-2
- Added missing BuildRequires: db4-devel 

* Thu Apr 12 2007 Alan Conway <aconway@redhat.com> - 0.1-1
- Initial build.

